OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockNotificationCommandManager

    java.lang.Object
      org.opennms.netmgt.config.NotificationCommandManager
          org.opennms.netmgt.notifd.mock.MockNotificationCommandManager

public class MockNotificationCommandManager
extends NotificationCommandManager

Author:
  david hustace <david@opennms.org>

Field Summary

Fields inherited from class org.opennms.netmgt.config.NotificationCommandManager
`configIn`

Constructor Summary
`MockNotificationCommandManager(java.lang.String xmlString)`

Methods inherited from class org.opennms.netmgt.config.NotificationCommandManager
`getCommand, getCommands, parseXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockNotificationCommandManager

    public MockNotificationCommandManager(java.lang.String xmlString)
                                   throws org.exolab.castor.xml.MarshalException,
                                          org.exolab.castor.xml.ValidationException

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.